org.eclipse.microprofile.fault.tolerance.tck.util

## Class TestException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.microprofile.fault.tolerance.tck.util.TestException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CircuitBreakerMetricBean.SkippedException

    public class TestException
    extends RuntimeException

An identifiable exception thrown by tests which test handling of exceptions thrown by user code.

It's basically a just runtime exception which isn't a `FaultToleranceException`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TestException()`
`TestException(String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestException

    public TestException()

#### TestException

    public TestException(String message)